Package org.apache.struts2.spring

# Class SpringProxyableObjectFactory

java.lang.Object
org.apache.struts2.ObjectFactory
org.apache.struts2.spring.SpringObjectFactory
org.apache.struts2.spring.SpringProxyableObjectFactory

All Implemented Interfaces:
  `Serializable`, `org.springframework.beans.factory.Aware`, `org.springframework.context.ApplicationContextAware`

public class SpringProxyableObjectFactory extends SpringObjectFactory
SpringProxyableObjectFactory.

Author:
  Jason Carreira
See Also:
  - Serialized Form

- ## Field Summary

  ### Fields inherited from class org.apache.struts2.spring.SpringObjectFactory

  `appContext, autowireStrategy, autoWiringFactory`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `SpringProxyableObjectFactory()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `Object`
  `buildBean(String beanName, Map<String,Object> extraContext)`
  `protected org.springframework.context.ApplicationContext`
  `getApplicationContext(Map<String,Object> context)`
  Subclasses may override this to return a different application context.

  ### Methods inherited from class org.apache.struts2.spring.SpringObjectFactory

  `autoWireBean, autoWireBean, buildBean, buildBean, findAutoWiringBeanFactory, getAutowireStrategy, getClassInstance, isNoArgConstructorRequired, setAlwaysRespectAutowireStrategy, setApplicationContext, setApplicationContextPath, setAutowireStrategy, setEnableAopSupport, setUseClassCache`

  ### Methods inherited from class org.apache.struts2.ObjectFactory

  `buildAction, buildConverter, buildInterceptor, buildResult, buildUnknownHandler, buildValidator, injectInternalBeans, setActionFactory, setClassLoader, setContainer, setConverterFactory, setInterceptorFactory, setResultFactory, setUnknownHandlerFactory, setValidatorFactory`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### SpringProxyableObjectFactory

    public SpringProxyableObjectFactory()

- ## Method Details

  - ### buildBean

    public Object buildBean(String beanName, Map<String,Object> extraContext) throws Exception
    Overrides:
      `buildBean` in class `ObjectFactory`
    Throws:
      `Exception`

  - ### getApplicationContext

    protected org.springframework.context.ApplicationContext getApplicationContext(Map<String,Object> context)
    Subclasses may override this to return a different application context. Note that this application context should see any changes made to the `autoWiringFactory`, so the application context should be either the original or a child context of the original.
    Parameters:
      `context` - provided context.
    Returns:
      the application context